Bug 895285 - CVE-2013-0184 rubygem-rack various flaws [fedora-all]
Summary: CVE-2013-0184 rubygem-rack various flaws [fedora-all]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-rack
Version: 17
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vít Ondruch
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2012-6109 CVE-2013-0183 CVE-2013-0184
TreeView+ depends on / blocked
 
Reported: 2013-01-15 00:21 UTC by Vincent Danen
Modified: 2013-01-25 21:43 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-25 21:33:26 UTC


Attachments (Terms of Use)

Description Vincent Danen 2013-01-15 00:21:38 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please use the bodhi submission link
noted in the next comment(s).  This will include the bug IDs of this
tracking bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please ensure that it is only closed
when all affected versions are fixed.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vincent Danen 2013-01-15 00:21:46 UTC
Please use the following update submission link to create the Bodhi
request for this issue as it contains the top-level parent bug(s) as well
as this tracking bug.  This will ensure that all associated bugs get
updated when new packages are pushed to stable.

Please also ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=895282,895285

Comment 2 Vincent Danen 2013-01-15 00:22:04 UTC
Adding parent bug 895277.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=895285,895277,895282

Comment 3 Kurt Seifried 2013-01-15 07:52:31 UTC
Adding parent bug CVE-2013-0184.  Please use this new bodhi update url when correcting
these flaws:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=895285,895277,895282,895384

Comment 4 Fedora Update System 2013-01-15 14:24:21 UTC
rubygem-rack-1.4.0-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/rubygem-rack-1.4.0-4.fc18

Comment 5 Fedora Update System 2013-01-15 14:48:16 UTC
rubygem-rack-1.4.0-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-rack-1.4.0-3.fc17

Comment 6 Fedora Update System 2013-01-15 15:45:34 UTC
rubygem-rack-1.3.0-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/rubygem-rack-1.3.0-3.fc16

Comment 7 Fedora Update System 2013-01-16 19:22:15 UTC
Package rubygem-rack-1.4.0-4.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rubygem-rack-1.4.0-4.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0837/rubygem-rack-1.4.0-4.fc18
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2013-01-25 21:33:35 UTC
rubygem-rack-1.3.0-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-01-25 21:37:12 UTC
rubygem-rack-1.4.0-4.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-25 21:43:25 UTC
rubygem-rack-1.4.0-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.